diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index ca573d55ee..9ef15ffc1d 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -900,6 +900,7 @@ tomorrow, the rest of the week and for special occasions.")
        ("pkg-config" ,pkg-config)))
     (inputs
      `(("babl" ,babl)
+       ("bash" ,bash-minimal)
        ("cairo" ,cairo)
        ("gdk-pixbuf" ,gdk-pixbuf+svg)
        ("gegl" ,gegl)
@@ -6145,6 +6146,7 @@ discovery protocols.")
      `(("gtk+" ,gtk+)
        ("gdk-pixbuf" ,gdk-pixbuf)
        ("atk" ,atk)
+       ("bash" ,bash-minimal)
        ("cairo" ,cairo)
        ("dbus-glib" ,dbus-glib)
        ("clutter" ,clutter)
@@ -6278,7 +6280,8 @@ which can read a large number of file formats.")
       ("pkg-config" ,pkg-config)
       ("xmllint" ,libxml2)))
    (inputs
-    `(("json-glib" ,json-glib)
+    `(("bash" ,bash-minimal)
+      ("json-glib" ,json-glib)
       ("tdb" ,tdb)
       ("gnome-desktop" ,gnome-desktop)
       ("python" ,python)
@@ -6360,7 +6363,8 @@ supports playlists, song ratings, and any codecs installed through gstreamer.")
       ("pkg-config" ,pkg-config)
       ("xmllint" ,libxml2)))
    (inputs
-    `(("gnome-desktop" ,gnome-desktop)
+    `(("bash" ,bash-minimal) ; for wrap-program
+      ("gnome-desktop" ,gnome-desktop)
       ("shared-mime-info" ,shared-mime-info)
       ("adwaita-icon-theme" ,adwaita-icon-theme)
       ("exempi" ,exempi)
@@ -6649,6 +6653,7 @@ almost all of them.")
     (inputs
      `(("gobject-introspection" ,gobject-introspection)
        ("glib-networking" ,glib-networking)
+       ("bash" ,bash-minimal) ; for wrap-program
        ("cairo" ,cairo)
        ("gtk+" ,gtk+)
        ("atk" ,atk)    ; propagated by gtk+, but we need it in LD_LIBRARY_PATH
@@ -6794,7 +6799,8 @@ principles are simplicity and standards compliance.")
        ("xmllint" ,libxml2)
        ("xorg-server" ,xorg-server-for-tests)))
     (inputs
-     `(("gobject-introspection" ,gobject-introspection)
+     `(("bash" ,bash-minimal) ; for wrap-program
+       ("gobject-introspection" ,gobject-introspection)
        ("gtk+" ,gtk+)
        ("python" ,python-wrapper)
        ("hicolor-icon-theme" ,hicolor-icon-theme)
@@ -7127,7 +7133,8 @@ such as gzip tarballs.")
        ("docbook-xml" ,docbook-xml)
        ("xmlto" ,xmlto)))
     (inputs
-     `(("elogind" ,elogind)
+     `(("bash" ,bash-minimal) ; for wrap-program
+       ("elogind" ,elogind)
        ("gnome-desktop" ,gnome-desktop)
        ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
        ("gtk+" ,gtk+)
@@ -7277,7 +7284,8 @@ javascript engine and the GObject introspection framework.")
             (base32 "16yld0ap7qj1n96h4f2sqkjmibg7xx5xwkqxdfzam2nmyfdlrrrs"))))
        ("pkg-config" ,pkg-config)))
     (inputs
-     `(("glib" ,glib)
+     `(("bash" ,bash-minimal) ; for wrap-program
+       ("glib" ,glib)
        ("gspell" ,gspell)
        ("gtk+" ,gtk+)
        ("gtksourceview" ,gtksourceview)
@@ -7641,7 +7649,8 @@ Evolution (hence the name), but is now used by other packages as well.")
        ("libxtst" ,libxtst)
        ("gtk+" ,gtk+)))
     (inputs
-     `(("clutter" ,clutter)
+     `(("bash" ,bash-minimal) ; for wrap-program
+       ("clutter" ,clutter)
        ("dconf" ,dconf)
        ("gtk+-2" ,gtk+-2)
        ("python-pygobject" ,python-pygobject)))
@@ -8571,6 +8580,7 @@ properties, screen resolution, and other GNOME parameters.")
        ("xorg-server" ,xorg-server-for-tests)))
     (inputs
      `(("accountsservice" ,accountsservice)
+       ("bash" ,bash-minimal) ; for wrap-program
        ("caribou" ,caribou)
        ("docbook-xsl" ,docbook-xsl)
        ("evolution-data-server" ,evolution-data-server)
@@ -9108,6 +9118,7 @@ associations for GNOME.")
       ("pkg-config" ,pkg-config)))
    (inputs
     `( ;("adwaita-icon-theme" ,adwaita-icon-theme)
+      ("bash" ,bash-minimal) ; for wrap-program
       ("appstream-glib" ,appstream-glib)
       ("geoclue" ,geoclue)
       ("gdk-pixbuf" ,gdk-pixbuf)
@@ -9337,7 +9348,8 @@ specified duration and save it as a GIF encoded animated image file.")
        ("gtk+:bin" ,gtk+ "bin")
        ("pkg-config" ,pkg-config)))
     (inputs
-     `(("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
+     `(("bash" ,bash-minimal) ; for wrap-program
+       ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
        ("gtk+" ,gtk+)
        ("libhandy" ,libhandy-0.0)
        ("libsecret" ,libsecret)
@@ -9552,7 +9564,8 @@ desktop.  It supports multiple calendars, month, week and year view.")
        ("gtk+-bin" ,gtk+ "bin")         ; For gtk-update-icon-cache
        ("pkg-config" ,pkg-config)))
     (inputs
-     `(("rest" ,rest)                   ; For Todoist plugin
+     `(("bash" ,bash-minimal)           ; For wrap-program
+       ("rest" ,rest)                   ; For Todoist plugin
        ("json-glib" ,json-glib)         ; For Todoist plugin
        ("libedataserverui" ,evolution-data-server)
        ("libical" ,libical)
@@ -9650,7 +9663,8 @@ existing databases over the internet.")
      `(("intltool" ,intltool)
        ("pkg-config" ,pkg-config)))
     (inputs
-     `(("gnome-desktop" ,gnome-desktop)
+     `(("bash" ,bash-minimal) ; for wrap-program
+       ("gnome-desktop" ,gnome-desktop)
        ("gtk+" ,gtk+)
        ("gobject-introspection" ,gobject-introspection)
        ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
@@ -10155,6 +10169,7 @@ accessibility infrastructure.")
        ("xmllint" ,libxml2)))
     (inputs
      `(("at-spi2-atk" ,at-spi2-atk)
+       ("bash" ,bash-minimal) ; for wrap-program
        ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
        ("gstreamer" ,gstreamer)
        ("gst-plugins-base" ,gst-plugins-base)
@@ -10320,7 +10335,8 @@ views can be printed as PDF or PostScript files, or exported to HTML.")
        ("gtk+:bin" ,gtk+ "bin")         ; For gtk-update-icon-cache
        ("pkg-config" ,pkg-config)))
     (inputs
-     `(("glib-networking" ,glib-networking)
+     `(("bash" ,bash-minimal) ; for wrap-program
+       ("glib-networking" ,glib-networking)
        ("gobject-introspection" ,gobject-introspection)
        ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
        ("gst-plugins-base" ,gst-plugins-base)
@@ -10436,7 +10452,8 @@ photo-booth-like software, such as Cheese.")
        ("glib" ,glib)
        ("gstreamer" ,gstreamer)))
     (inputs
-     `(("gnome-desktop" ,gnome-desktop)
+     `(("bash" ,bash-minimal) ; for wrap-program
+       ("gnome-desktop" ,gnome-desktop)
        ("gobject-introspection" ,gobject-introspection)
        ("gst-plugins-base" ,gst-plugins-base)
        ("gst-plugins-good" ,gst-plugins-good)
@@ -10490,7 +10507,8 @@ apply fancy special effects and lets you share the fun with others.")
        ("gtk+:bin" ,gtk+ "bin")
        ("pkg-config" ,pkg-config)))
     (inputs
-     `(("glib" ,glib)
+     `(("bash" ,bash-minimal) ; for wrap-program
+       ("glib" ,glib)
        ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
        ("gtk+" ,gtk+)
        ("libhandy" ,libhandy)
@@ -10587,7 +10605,8 @@ mp3, Ogg Vorbis and FLAC")
        ("pkg-config" ,pkg-config)
        ("glib:bin" ,glib "bin")))
     (inputs
-     `(("gtk+" ,gtk+)
+     `(("bash" ,bash-minimal) ; for wrap-program
+       ("gtk+" ,gtk+)
        ("python" ,python)
        ("python-pygobject" ,python-pygobject)
        ("gstreamer" ,gstreamer)
@@ -10872,7 +10891,8 @@ advanced image management tool")
        ("python-pytest-runner" ,python-pytest-runner)
        ("python-pytest" ,python-pytest)))
     (inputs
-     `(("cairo" ,cairo)
+     `(("bash" ,bash-minimal) ; for wrap-program
+       ("cairo" ,cairo)
        ("dbus-glib" ,dbus-glib)
        ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
        ("gtk+" ,gtk+)
@@ -11060,7 +11080,8 @@ higher level porcelain stuff.")
                  `("GI_TYPELIB_PATH" = (,(getenv "GI_TYPELIB_PATH"))))
                #t))))))
     (inputs
-     `(("glib" ,glib)
+     `(("bash" ,bash-minimal) ; for wrap-program
+       ("glib" ,glib)
        ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
        ("gtk+" ,gtk+)
        ("gtkspell3" ,gtkspell3)
@@ -11269,7 +11290,8 @@ environment.")
                  `("GI_TYPELIB_PATH" = (,(getenv "GI_TYPELIB_PATH"))))
                #t))))))
     (inputs
-     `(("glib" ,glib)
+     `(("bash" ,bash-minimal) ; for wrap-program
+       ("glib" ,glib)
        ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
        ("gspell" ,gspell)
        ("gtk+" ,gtk+)
@@ -11556,7 +11578,8 @@ and toolbars.")
        ("gobject-introspection" ,gobject-introspection)
        ("gtk+:bin" ,gtk+ "bin")))
     (inputs
-     `(("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
+     `(("bash" ,bash-minimal) ; for wrap-program
+       ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
        ("gspell" ,gspell)
        ("gtk+" ,gtk+)
        ("gtksourceview" ,gtksourceview)
@@ -11617,7 +11640,8 @@ GTK+.  It integrates well with the GNOME desktop environment.")
        ("swig" ,swig)
        ("valgrind" ,valgrind)))
     (inputs
-     `(("glib" ,glib)
+     `(("bash" ,bash-minimal) ; for wrap-program
+       ("glib" ,glib)
        ("json-glib" ,json-glib)
        ("libevdev" ,libevdev)
        ("libsystemd" ,elogind)
@@ -11664,6 +11688,7 @@ your operating-system definition:
        ("python-flake8" ,python-flake8)))
     (inputs
      `(("adwaita-icon-theme" ,adwaita-icon-theme)
+       ("bash" ,bash-minimal) ; for wrap-program
        ("gtk" ,gtk+)
        ("gtk:bin" ,gtk+ "bin")
        ("librsvg" ,librsvg)
@@ -11745,7 +11770,8 @@ provided there is a DBus service present:
        ("pkg-config" ,pkg-config)
        ("yelp-tools" ,yelp-tools)))
     (inputs
-     `(("gst-plugins-base" ,gst-plugins-base)
+     `(("bash" ,bash-minimal) ; for wrap-program
+       ("gst-plugins-base" ,gst-plugins-base)
        ("gst-plugins-good" ,gst-plugins-good)
        ("gstreamer" ,gstreamer)
        ("gtk+" ,gtk+)
@@ -11993,7 +12019,8 @@ integrated profiler via Sysprof, debugging support, and more.")
                 `("GI_TYPELIB_PATH" = (,(getenv "GI_TYPELIB_PATH"))))
               #t))))))
     (inputs
-     `(("gtk+" ,gtk+)
+     `(("bash" ,bash-minimal) ; for wrap-program
+       ("gtk+" ,gtk+)
        ("libhandy" ,libhandy)
        ("libnotify" ,libnotify)
        ("libsecret" ,libsecret)
@@ -12191,7 +12218,8 @@ world.")
        ("pkg-config" ,pkg-config)
        ("xmllint" ,libxml2)))
     (inputs
-     `(("enchant" ,enchant)
+     `(("bash" ,bash-minimal) ; for wrap-program
+       ("enchant" ,enchant)
        ("glib" ,glib)
        ("goocanvas" ,goocanvas)
        ("gtk" ,gtk+)