diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index d6d22f8eb1..65054fc4ac 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -12115,67 +12115,75 @@ (define-public gnome-boxes
   (package
     (name "gnome-boxes")
     (version "42.3")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (string-append "mirror://gnome/sources/gnome-boxes/"
-                           (version-major version) "/"
-                           "gnome-boxes-" version ".tar.xz"))
-       (sha256
-        (base32 "1lv0bdh935qj6wkv3ixg2pcv8yrapj79z02gw4fal3rhz3xggvsn"))))
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "mirror://gnome/sources/gnome-boxes/"
+                                  (version-major version)
+                                  "/"
+
             "gnome-boxes-"
+                                  version
+                                  ".tar.xz"))
+              (sha256
+               (base32
+                "1lv0bdh935qj6wkv3ixg2pcv8yrapj79z02gw4fal3rhz3xggvsn"))))
     (build-system meson-build-system)
     (arguments
      (list #:glib-or-gtk? #t
            #:configure-flags #~(list "-Drdp=false"
-                                     (string-append "-Dc_link_args=-Wl,-rpath="
-                                                    #$output
-                                                    "/lib/gnome-boxes"))
+                                     (string-append
+                                      "-Dc_link_args=-Wl,-rpath="
+                                      #$output "/lib/gnome-boxes"))
            #:phases #~(modify-phases %standard-phases
                         (add-after 'unpack 'disable-gtk-update-icon-cache
                           (lambda _
-                            (
setenv "DESTDIR" "/"))))))
-    (native-inputs
-     (list desktop-file-utils           ;for update-desktop-database
-           gettext-minimal
-           `(,glib "bin")               ;for glib-compile-resources
-           itstool
-           pkg-config
-           python
-           vala))
-    (inputs
-     (list glib-networking              ;for TLS support
-           gsettings-desktop-schemas
-           gtk+
-           gtk-vnc
-           gtksourceview
-           json-glib
-           libarchive
-           libgudev
-           libhandy
-           libosinfo
-           libsecret
-           libsoup-minimal-2
-           libusb
-           libvirt
-           libvirt-glib
-           libxml2
-           sparql-query
-           spice-gtk
-           tracker
-           vte
-           webkitgtk-with-libsoup2))    ;for webkit2gtk-4.0
+                            (setenv "DESTDIR" "/")))
+                        (add-before 'configure 'substitut
e-qemu-dependencies
+                          (lambda* (#:key inputs #:allow-other-keys)
+                            (substitute* "src/installed-media.vala"
+                              (("qemu-img")
+                               (search-input-file inputs "/bin/qemu-img"))))))))
+    (native-inputs (list desktop-file-utils ;for update-desktop-database
+                         gettext-minimal
+                         `(,glib "bin") ;for glib-compile-resources
+                         itstool
+                         pkg-config
+                         python
+                         vala))
+    (inputs (list glib-networking ;for TLS support
+                  gsettings-desktop-schemas
+                  gtk+
+                  gtk-vnc
+                  gtksourceview
+                  json-glib
+                  libarchive
+                  libgudev
+                  libhandy
+                  libosinfo
+                  libsecret
+
    libsoup-minimal-2
+                  libusb
+                  libvirt
+                  libvirt-glib
+                  libxml2
+                  qemu-minimal ;for qemu-img
+                  sparql-query
+                  spice-gtk
+                  tracker
+                  vte
+                  webkitgtk-with-libsoup2)) ;for webkit2gtk-4.0
     (home-page "https://wiki.gnome.org/Apps/Boxes")
     (synopsis "View, access, and manage remote and virtual systems")
-    (description "GNOME Boxes is a simple application to view, access, and
+    (description
+     "GNOME Boxes is a simple application to view, access, and
 manage remote and virtual systems.  Note that this application requires the
 @code{libvirt} and @code{virtlog} daemons to run.  Use the command
 @command{info '(guix) Virtualization Services'} to learn how to configure
 these services on the Guix System.")
     (license (list
-              ;; For data/icons/empty-boxes.png.
-
  license:cc-by2.0
-              ;; For all others.
-              license:lgpl2.0+))))
+                   ;; For data/icons/empty-boxes.png.
+                   license:cc-by2.0