diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 142735ab91..a8cac5cacb 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -13198,81 +13198,6 @@ (define-public sysprof-3.44
                             (("gtk-update-icon-cache") "true")
                             (("update-desktop-database") "true"))))))))))
 
-(define-public gnome-builder
-  (package
-    (name "gnome-builder")
-    (version "42.1")
-    (source (origin
-              (method url-fetch)
-              (uri (string-append "mirror://gnome/sources/" name "/"
-                                  (version-major version) "/"
-                                  name "-" version ".tar.xz"))
-              (sha256
-               (base32
-                "02k78mamp1yf9y6wixd864hdf9saw83wdw01f80lhnw60avm2kax"))))
-    (build-system meson-build-system)
-    (arguments
-     (list
-      #:glib-or-gtk? #t                 ;To wrap binaries and compile schemas
-      #:configure-flags #~(list "-Dnetwork_tests=false")
-      #:phases
-      #~(modify-phases %standard-phases
-          (add-after 'unpack 'patch-meson
-            (lambda* (#:key inputs #:allow-other-keys)
-              (substitute* "build-aux/meson/post_install.py"
-                (("gtk-update-icon-cache") "true")
-                (("update-desktop-database") "true"))
-              (substitute* "src/libide/meson.build"
-                (("/usr/lib")
-                 (string-append #$(this-package-input "python-pygobject")
-                                "/lib")))))
-          (add-before 'check 'pre-check
-            (lambda _
-              (system "Xvfb :1 &")
-              (setenv "DISPLAY" ":1"))))))
-    (inputs
-     (list cmark
-           clang
-           devhelp-with-libsoup2
-           flatpak
-           glade3
-           gspell
-           gtk+
-           json-glib
-           jsonrpc-glib
-           libdazzle
-           libgit2-glib
-           libhandy
-           libpeas
-           libportal
-           libsoup-minimal-2
-           llvm
-           libostree
-           python
-           python-pygobject
-           sysprof-3.44
-           template-glib
-           vte
-           webkitgtk-with-libsoup2))
-    (propagated-inputs
-     (list gtksourceview-4))            ;needed for settings
-    (native-inputs
-     (list desktop-file-utils           ;for desktop-file-validate
-           `(,glib "bin")
-           gettext-minimal
-           pkg-config
-           python                       ;for meson scripts
-           vala
-           xorg-server-for-tests))
-    (home-page "https://wiki.gnome.org/Apps/Builder")
-    (synopsis "Toolsmith for GNOME-based applications")
-    (description
-     "Builder aims to be an integrated development environment (IDE) for
-writing GNOME-based software.  It features fuzzy search, auto-completion,
-a mini code map, documentation browsing, Git integration, an integrated
-profiler via Sysprof, debugging support, and more.")
-    (license license:gpl3+)))
-
 (define-public komikku
   (package
     (name "komikku")
diff --git a/gnu/packages/text-editors.scm b/gnu/packages/text-editors.scm
index e05a58c447..a581a30edf 100644
--- a/gnu/packages/text-editors.scm
+++ b/gnu/packages/text-editors.scm
@@ -79,8 +79,10 @@ (define-module (gnu packages text-editors)
   #:use-module (gnu packages libbsd)
   #:use-module (gnu packages llvm)
   #:use-module (gnu packages lua)
+  #:use-module (gnu packages markup)
   #:use-module (gnu packages ncurses)
   #:use-module (gnu packages pcre)
+  #:use-module (gnu packages package-management)
   #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
@@ -95,6 +97,7 @@ (define-module (gnu packages text-editors)
   #:use-module (gnu packages terminals)
   #:use-module (gnu packages texinfo)
   #:use-module (gnu packages version-control)
+  #:use-module (gnu packages webkit)
   #:use-module (gnu packages xml)
   #:use-module (gnu packages xorg))
 
@@ -1413,3 +1416,78 @@ (define-public xnedit
      "XNEdit is a fast and classic X11 text editor, based on NEdit,
 with full unicode support and antialiased text rendering.")
     (license license:gpl2+)))
+
+(define-public gnome-builder
+  (package
+    (name "gnome-builder")
+    (version "42.1")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "mirror://gnome/sources/" name "/"
+                                  (version-major version) "/"
+                                  name "-" version ".tar.xz"))
+              (sha256
+               (base32
+                "02k78mamp1yf9y6wixd864hdf9saw83wdw01f80lhnw60avm2kax"))))
+    (build-system meson-build-system)
+    (arguments
+     (list
+      #:glib-or-gtk? #t                 ;To wrap binaries and compile schemas
+      #:configure-flags #~(list "-Dnetwork_tests=false")
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'patch-meson
+            (lambda* (#:key inputs #:allow-other-keys)
+              (substitute* "build-aux/meson/post_install.py"
+                (("gtk-update-icon-cache") "true")
+                (("update-desktop-database") "true"))
+              (substitute* "src/libide/meson.build"
+                (("/usr/lib")
+                 (string-append #$(this-package-input "python-pygobject")
+                                "/lib")))))
+          (add-before 'check 'pre-check
+            (lambda _
+              (system "Xvfb :1 &")
+              (setenv "DISPLAY" ":1"))))))
+    (inputs
+     (list cmark
+           clang
+           devhelp-with-libsoup2
+           flatpak
+           glade3
+           gspell
+           gtk+
+           json-glib
+           jsonrpc-glib
+           libdazzle
+           libgit2-glib
+           libhandy
+           libpeas
+           libportal
+           libsoup-minimal-2
+           llvm
+           libostree
+           python
+           python-pygobject
+           sysprof-3.44
+           template-glib
+           vte
+           webkitgtk-with-libsoup2))
+    (propagated-inputs
+     (list gtksourceview-4))            ;needed for settings
+    (native-inputs
+     (list desktop-file-utils           ;for desktop-file-validate
+           `(,glib "bin")
+           gettext-minimal
+           pkg-config
+           python                       ;for meson scripts
+           vala
+           xorg-server-for-tests))
+    (home-page "https://wiki.gnome.org/Apps/Builder")
+    (synopsis "Toolsmith for GNOME-based applications")
+    (description
+     "Builder aims to be an integrated development environment (IDE) for
+writing GNOME-based software.  It features fuzzy search, auto-completion,
+a mini code map, documentation browsing, Git integration, an integrated
+profiler via Sysprof, debugging support, and more.")
+    (license license:gpl3+)))