diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 2b24453e8f..25d964e596 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -5017,9 +5017,9 @@ (define-public libshumate
 as OpenStreetMap, OpenCycleMap, OpenAerialMap and Maps.")
     (license license:lgpl2.1+)))
 
-(define-public libsoup-minimal
+(define-public libsoup
   (package
-    (name "libsoup-minimal")
+    (name "libsoup")
     (version "3.4.4")
     (source (origin
               (method url-fetch)
@@ -5030,9 +5030,10 @@ (define-public libsoup-minimal
                (base32
                 "1an5n2sa70f40my4g20lk38s5ib99c32bzzg8gm91v9nbxr6f719"))))
     (build-system meson-build-system)
+    (outputs '("out" "doc"))
     (arguments
      (list
-      #:configure-flags #~(list "-Ddocs=disabled")
+      #:configure-flags #~(list "-Ddocs=enabled")
       #:phases
       #~(modify-phases %standard-phases
           (add-after 'unpack 'adjust-tests
@@ -5050,9 +5051,16 @@ (define-public libsoup-minimal
               (substitute* "tests/meson.build"
                 ((".*'name': 'hsts'.*") ""))
               (substitute* "tests/hsts-db-test.c"
-                ((".*/hsts-db/subdomains.*") "")))))))
+                ((".*/hsts-db/subdomains.*") ""))))
+          (add-after 'install 'move-doc
+            (lambda _
+              (mkdir-p (string-append #$output:doc "/share"))
+              (rename-file (string-append #$output "/share/doc")
+                           (string-append #$output:doc "/share/doc")))))))
     (native-inputs
-     (list `(,glib "bin") ;for glib-mkenums
+     (list gettext-minimal
+           `(,glib "bin") ;for glib-mkenums
+           gi-docgen
            gobject-introspection
            pkg-config
            python-wrapper
@@ -5083,7 +5091,8 @@ (define-public libsoup-minimal
 ;;; An older variant kept to build the 'rest' package.
 (define-public libsoup-minimal-2
   (package
-    (inherit libsoup-minimal)
+    (inherit libsoup)
+    (name "libsoup-minimal")
     (version "2.74.3")
     (source (origin
               (method url-fetch)
@@ -5093,15 +5102,17 @@ (define-public libsoup-minimal-2
               (sha256
                (base32
                 "04rgv6hkyhgi7lak9865yxgbgky6gc635p7w6nhcbj64rx0prdz4"))))
+    (outputs (delete "doc" (package-outputs libsoup)))
     (arguments
      (substitute-keyword-arguments (package-arguments libsoup-minimal)
        ((#:configure-flags configure-flags)
-        ;; The option named changed between libsoup 2 and libsoup 3.
         #~(cons "-Dgtk_doc=false"
-                (delete "-Ddocs=disabled" #$configure-flags)))
+                (delete "-Ddocs=enabled" #$configure-flags)))
        ((#:phases phases)
-        #~(modify-phases #$phases
-            (replace 'adjust-tests
+        #~(modify-phases %standard-phases
+            ;; Cannot reuse #$phases here, because it references the "doc"
+            ;; output of this package, so Guix expects a "doc" output.
+            (add-after 'unpack 'adjust-tests
               (lambda _
                 ;; Disable the SSL test, failing since 2.68 and resolved in
                 ;; libsoup 3.
@@ -5109,43 +5120,11 @@ (define-public libsoup-minimal-2
                   (("[ \t]*\\['ssl', true, \\[\\]\\],") ""))))))))
     (native-inputs
      (modify-inputs (package-native-inputs libsoup-minimal)
-       (replace "vala" vala-0.52)))))
+       (replace "vala" vala-0.52)
+       (delete "gettext-minimal" "gi-docgen")))))
 
-(define-public libsoup
-  (package/inherit libsoup-minimal
-    (name "libsoup")
-    (outputs (cons "doc" (package-outputs libsoup-minimal)))
-    (arguments
-     (substitute-keyword-arguments (package-arguments libsoup-minimal)
-       ((#:configure-flags configure-flags)
-        #~(cons "-Ddocs=enabled"
-                ;; The default value is 'auto', meaning it could be skipped.
-                (delete "-Ddocs=disabled" #$configure-flags)))
-       ((#:phases phases)
-        #~(modify-phases #$phases
-            (replace 'adjust-tests
-              (lambda _
-                ;; This test fails due to missing /etc/nsswitch.conf
-                ;; in the build environment.
-                (substitute* "tests/unix-socket-test.c"
-                  ((".*/sockets/unconnected.*") ""))
-
-                ;; These fail because "subdomain.localhost" does not resolve in
-                ;; the build environment.  Moreover, the hsts-test suite fails on
-                ;; i686-linux because of errors from `session_get_uri' like
-                ;; "Unexpected status 200 OK (expected 301 Moved Permanently)"
-                ;; (see: https://gitlab.gnome.org/GNOME/libsoup/-/issues/239).
-                (substitute* "tests/meson.build"
-                  ((".*'name': 'hsts'.*") ""))
-                (substitute* "tests/hsts-db-test.c"
-                  ((".*/hsts-db/subdomains.*") ""))))
-            (add-after 'install 'move-doc
-              (lambda _
-                (mkdir-p (string-append #$output:doc "/share"))
-                (rename-file (string-append #$output "/share/doc")
-                             (string-append #$output:doc "/share/doc"))))))))
-    (native-inputs (modify-inputs (package-native-inputs libsoup-minimal)
-                     (prepend gettext-minimal gi-docgen)))))
+(define-public libsoup-minimal
+  (deprecated-package "libsoup-minimal" libsoup))
 
 (define-public libsecret
   (package